Subject: pkg/35211: loop in pkgsrc build on Solaris 10
To: None <,,>
From: Wolfgang Stukenbrock <>
List: pkgsrc-bugs
Date: 12/08/2006 15:25:00
>Number:         35211
>Category:       pkg
>Synopsis:       loop in pkgsrc build on Solaris 10
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Fri Dec 08 15:25:00 +0000 2006
>Originator:     Wolfgang Stukenbrock
>Release:        pkgsrc-3Q2006
Dr. Nagler & Comapny GmbH
SunOS s002 5.10 Generic sun4u sparc SUNW,Sun-Fire-V210
Architecture: sparc
Machine: sun4u
	There is a loop in building gmake, gcc and/or gettext in pkgsrc-3Q2006
	on Sun-Solaris.

	The package make-3.81 (gmake) requires gettext-0.14.6
	The package gettext-0.14.6 requires gcc-2.95.3
	The package gcc-2.95.3 requires make-3.81

        I've build everything in 64-bit mode, but I'm shure the same problem will
	happen in the 32-bit environment.
	I'm using a Sun Studio Compiler and have setup the scripts cc64 and CC64 as
	stated in the documentation. Some other parts of pkgsrc compiles fine with them.


	#! /bin/sh
	exec /opt/SUNWspro/bin/cc -xtarget=ultra -xarch=v9 ${1+"$@"}


	#! /bin/sh
	exec /opt/SUNWspro/bin/CC -xtarget=ultra -xarch=v9 ${1+"$@"}

	setup pkgsrc environment on Solaris via bootstrap for 64-Bit and try to compile
	one oth the packages above.
	not realy known.
	The only sollution looks to me to remove the need of gettext from gmake.

	An other possibility would to use the compiler that comes from Sun in /opt/sfw.
	There is a gmake 3.80 and a gcc 2.95.3 and a gcc 3.4.2 available, but I'v no idea
	who to tell the package database that gmake and gcc are present and there is no
	need to setup them in the pkg-tree again. (The two gcc version resides in different
	directories in /opt/sfw/bin (3.x) and /opt/sft/gcc-2/bin (2.x).)